cURL
curl "https://api.mem.ai/v2/collections/01961d40-7a67-7049-a8a6-d5638cbaaeb9/notes/01961d40-7b6f-70dd-8a92-2ee8f7137ab5/move" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $MEM_API_KEY" \
--data '{
"target_collection_id": "01961d40-7c70-7ed8-8cd4-bd99203de422"
}'{
"request_id": "api-request-036ed6c7-de00-459f-a89b-43d26aafe522"
}Collections
Move Note
Move a note from one collection to another collection. This operation adds the note to the target collection, then removes it from the source collection. It does not modify note or collection content.
POST
/
v2
/
collections
/
{source_collection_id}
/
notes
/
{note_id}
/
move
cURL
curl "https://api.mem.ai/v2/collections/01961d40-7a67-7049-a8a6-d5638cbaaeb9/notes/01961d40-7b6f-70dd-8a92-2ee8f7137ab5/move" \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $MEM_API_KEY" \
--data '{
"target_collection_id": "01961d40-7c70-7ed8-8cd4-bd99203de422"
}'{
"request_id": "api-request-036ed6c7-de00-459f-a89b-43d26aafe522"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
UUID of the collection that currently contains the note. Caller must be able to remove the note from this collection.
UUID of the note to move. Use an ID returned by create/list/search.
Body
application/json
UUID of the collection that should receive the note. The caller must be able to add the note to this collection.
Example:
"01961d40-7c70-7ed8-8cd4-bd99203de422"
Response
200 - application/json
OK
Identifier for this API request. Useful for tracing and support.